/****
 *
 * Exemplo:
 *
 * Captulo: 6
 * Seo: 6.13
 *
 * Demonstra: O uso de gdb.
 *
 * Descricao: Este programna foi desenvolvido apenas
 *            para demonstrar o uso do depurador gdb
 *
 * Entrada: Dois valores inteiros
 * Saida: O MDC dos numeros introduzidos
 *
 * ALERTA: Este programa contem bugs intencionais!
 *
 * Compilacao com gcc: gcc -g main.c mdc.c -o depurar
 *
 ****/

/****
 *
 * mdc(): Retorna o mdc de dois numeros inteiros.
 *
 ****/
int mdc(int x, int  y)
{
   int divisor;

   if ( (x < 0) || (y < 0) )
      return 0;

   divisor = (y < x) ? y : x;

   while ( (x%divisor) || (y%divisor) )
      divisor--;

   return divisor;
}
